## org.codehaus.groovy.runtime.metaclass
Class ThreadBoundGetter

Accesses the ThreadBound state of the property as a getter

author:
  Graeme Rocher

Field Summary
`String` | `name`
`String` | `name0`

Constructor Summary
`ThreadBoundGetter(String name)`

Method Summary
`CachedClass` | `getDeclaringClass()`
`int` | `getModifiers()`
`String` | `getName()`
`Class` | `getReturnType()`
`Object` | `invoke(Object object, def arguments)`

Constructor Detail

### ThreadBoundGetter

    public ThreadBoundGetter(String name)

Method Detail

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getReturnType

    public Class getReturnType()

### invoke

    public Object invoke(Object object, def arguments)